SEO Pages API
Dynamic SEO landing pages with Strapi-like field selection.
Website: Get Pages
GET /api/v1/seo-page
GET /api/v1/seo-page/{slug}
With field selection (only fetches requested fields — efficient dynamic joins):
GET /api/v1/seo-page/villas/villas-in-goa?fields=path.slug,summary.title,banners.title,banners.media.url
Response:
{
"path": { "slug": "villas/villas-in-goa" },
"summary": { "title": "Luxury Villas in Goa" },
"banners": [
{
"title": "Explore Goa",
"media": [{ "url": "https://cdn.elivaas.com/goa.jpg" }]
}
]
}
Available fields: path.slug, path.metaTitle, path.metaDescription, summary.title, banners.title, banners.subtitle, banners.media.url, banners.media.mobileUrl, seoContent.title, seoContent.description, footer
Admin: Manage Pages
Base path: /api/v1/admin/pages or /api/v1/pms/pages
| Method | Path | Description |
|---|---|---|
| GET | / | List all pages |
| GET | /{slug} | Get page by slug |
| POST | / | Create page |
| PUT | /{slug} | Update page |
| DELETE | /{slug} | Delete page |